Apple lanza parche para iOS 12.4.1 y repara fallo que permite realizar jailbreak | WeLiveSecurity

Apple lanza parche para iOS 12.4.1 y repara fallo que permite realizar jailbreak

El parche repara un fallo que ya había sido reparado en versiones anteriores y que accidentalmente volvió a dejar expuesto en la versión 12.4.1 de iOS

El parche repara un fallo que ya había sido reparado en versiones anteriores y que accidentalmente volvió a dejar expuesto en la versión 12.4.1 de iOS

A mediados de este mes de agosto, un investigador bajo el seudónimo “Pwn20wnd” publicó en GitHub de forma gratuita un jailbreak para iOS 12.4 que explota una vulnerabilidad (CVE-2019-8605) en el kernel de iOS que permite a una app ejecutar código de manera arbitraria con privilegios de sistema. El fallo ya había sido reparado en mayo de este año por Apple en la versión 12.3, luego de que fuese reportada a principios de este año por investigadores de Project Zero de Google. Sin embargo, al parecer la compañía por error lanzó en julio la última actualización de su sistema operativo (SO) sin incluir la reparación de este fallo, dejando expuestos a esta vulnerabilidad crítica a los dispositivos que estén actualizados.

Para aquellos que no estén familiarizados con el término, realizar jailbreak se refiere a un proceso mediante el cual un usuario de un dispositivo Apple puede instalar apps que no están disponibles en la App Store. Sin embargo, realizar jailbreak a un dispositivo también deshabilita ciertas protecciones al sistema que fueron introducidas para evitar que los usuarios puedan ser víctimas de aplicaciones maliciosas que representen un riesgo para su seguridad.

Dicho esto, es posible realizar jailbreak tanto a un iPhone, como a otros dispositivos de Apple. En este caso puntual, en caso de ser explotado el fallo que permite realizar jailbreak en la última versión del SO, un actor malintencionado podría espiar en el dispositivo comprometido y robar datos de la víctima pertenecientes a otras aplicaciones o al propio sistema, explicó Pwn20wnd a motherboard.

El jailbreak publicado por el investigador en GitHub funciona tanto en versiones de iPhone (XS, XS Max y XR), así como de iPod y de iPad que corran con la versión 12.4 o 12.2 –o anterior- del sistema operativo, pero no funciona en equipos que tengan la edición 12.3 que parcheaba el fallo.

Aquellos usuarios que aún cuentan con una versión del sistema operativo vulnerable a este fallo, deben tener cuidado con las aplicaciones que descargan de App Store, ya que alguien podría haber subido a la tienda una app que incluya una copia del jailbreak, explicaron especialistas al medio.

Por último, dado que la compañía no permite instalar versiones anteriores del sistema operativo cuando se está corriendo con una versión más nueva, es importante que aquellos que tengan la última versión de iOS instalen cuanto antes el parche que lanzó la compañía.  Para instalarlo, los usuarios deben ir a Ajustes / General / Actualizaciones de Software.

Discusión